if (is_file ("/")) ...                                                         /* 0 */

if (is_directory ("/")) ...                                                    /* 1 */

if (is_file ("./text.txt")) ...                                                /* 1 */

if (is_directory ("./text.txt")) ...                                           /* 0 */

if (is_file ("./random-file-name.txt")) ...                                    /* "ERR_FILE_NOT_EXISTS" */

if (is_directory ("./random-file-name.txt")) ...                               /* "ERR_DIRECTORY_NOT_EXISTS" */

if (is_file ("./random/directory/name")) ...                                   /* "ERR_FILE_NOT_EXISTS" */

if (is_directory ("./random/directory/name")) ...                              /* "ERR_DIRECTORY_NOT_EXISTS" */

